Install the latest versions of Mozilla Firefox and Thunderbird

A list of vulnerabilities and fixes with technical details for Mozilla Firefox and Thunderbird is available at the link below. These vulnerabilities affect Mozilla Firefox 31.x, Firefox 32, Firefox 33, and Mozilla Thunderbird 31.x. It is recommended to install the latest versions of the products from the manufacturer.

Go here for more details – http://malwarelist.net/2014/10/17/multiple-vulnerabilities-in-mozilla-firefox-and-thunderbird-october-17-2014/

Leave a Comment

Your email address will not be published.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.

Scroll to Top